curl --request POST \
--url https://partner.peaka.studio/api/v1/projects/{projectId}/apiKeys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "test",
"expiresAt": "2027-09-10T10:11:00Z"
}
'{
"name": "test",
"apiKey": "TtgGcQFq.s3fzROFoop8uHG4pS2LYhoqn1rLb6oW6",
"apiKeyId": "21fd1a8d-88d5-4295-b792-5b2113138057"
}Projects -- Api Key
Create API Key
Creates a new API Key for the specified Project. The API Key is used to authenticate requests to the Peaka API on behalf of the Project.
The full key value is only returned once at creation time. Store it securely, as it cannot be retrieved later.
POST
/
projects
/
{projectId}
/
apiKeys
curl --request POST \
--url https://partner.peaka.studio/api/v1/projects/{projectId}/apiKeys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "test",
"expiresAt": "2027-09-10T10:11:00Z"
}
'{
"name": "test",
"apiKey": "TtgGcQFq.s3fzROFoop8uHG4pS2LYhoqn1rLb6oW6",
"apiKeyId": "21fd1a8d-88d5-4295-b792-5b2113138057"
}
Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Body
application/json
API Key request
Response
200 - application/json
API Key created
Represents an API key.